#!/bin/bash

# Remove a trailing slash from the directory arguments
inputGeneral="${1}"
inputDir="${2%/}"
outputDir="${3%/}"


files=$(find "$inputDir" -name "*.css" -o -name "*.CSS");
for f in $files
do
    if [ "$f" == "$inputGeneral" ];
    then
        continue;
    fi
    filename=$(basename -- "$f")
    targetFile="$outputDir/$filename";
    touch "$targetFile"
    {
        printf "/* Do not edit this file. This file is generated. */\n\n";
        printf ":root {\n";
        cat "$f";
        printf "\n}\n\n/* Below are the generic CSS rules that apply color */\n";
        cat "$inputGeneral";
    } > "$targetFile";
done
